PLSTRING3(3)

NAME
plstring3 - Plot a glyph at the specified 3D points

SYNOPSIS
plstring3(n, x, y, z, string)

DESCRIPTION

Plot a glyph at the specified 3D points. (Supersedes plpoin3(3) because many[!] more glyphs are accessible with plstring3(3).) Set up the call to this function similar to what is done for plline3(3). The glyph is specified with a PLplot user string. Note that the user string is not actually limited to one glyph so it is possible (but not normally useful) to plot more than one glyph at the specified points with this function. As with plmtex(3) and plptex(3), the user string can contain FCI escapes to determine the font, UTF-8 code to determine the glyph or else PLplot escapes for Hershey or unicode text to determine the glyph.

Redacted form: plstring3(x, y, z, string)

This function is used in example 18.

ARGUMENTS

n (PLINT(3), input)
    Number of points in the x, y, and z vectors.

x (PLFLT_VECTOR(3), input)
    A vector containing the x coordinates of the points.

y (PLFLT_VECTOR(3), input)
    A vector containing the y coordinates of the points.

z (PLFLT_VECTOR(3), input)
    A vector containing the z coordinates of the points.

string (PLCHAR_VECTOR(3), input)
    A UTF-8 character string containing the glyph(s) to be plotted at each of the n points. points.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.